html {
  font-size: calc(100vw / 7.5);
  font-size: -webkit-calc(100vw/7.5);
  -webkit-text-size-adjust: 100%;

  /* background: #000; */
}
@font-face {
  font-family: "yisu";
  src: url("https://qn.mktzr.com/dttjp/images/OPPOSans-R.ttf");
}
body,
.container {
  width: 100%;
  height: 100%;
  display: none;
  overflow: auto;

  background-color: #309bbb;
}

/*消除ios点击阴影*/
html,
body {
  -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  /* ios 滑动 */
  -webkit-overflow-scrolling: touch;
  -webkit-user-select: none;
}

body {
  -webkit-text-size-adjust: 100% !important;
}

/*消除ios动画抖动*/
* {
  -webkit-backface-visibility: hidden;
  -webkit-user-select: auto;
}

/* 去除滚动条 */
::-webkit-scrollbar {
  width: 0;
  height: 1px;
}

/* 清除浮动 */
.clearfix:after {
  content: ".";
  display: block;
  height: 0;
  clear: both;
  visibility: hidden;
}

.clearfix {
  *zoom: 1;
}

input::-webkit-input-placeholder {
  /* placeholder颜色  */
  color: #333;
}

input {
  -webkit-user-select: text !important;
}

.q-question strong {
  font-weight: bolder;
  color: #d52913;
}

.page {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
}

.dialog {
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7);
  position: fixed;
  top: 0;
  left: 0;
  z-index: 101;
}

.dialog .frame {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: 1rem;
}

.humane,
.humane-original {
  left: 10%;
  width: 80%;
}

/* 提示 */
.tips-page {
  height: 14.51rem;
  background: url("https://qn.mktzr.com/szhhdt/images/tips.jpg?v=53") left top
    no-repeat;
  background-size: contain;
}

.tips-page .text {
  font-size: 0.4rem;
  text-align: center;
  width: 100%;
  height: 0.4rem;
  line-height: 0.4rem;
  color: #666666;
  position: absolute;
  top: 6.9rem;
}

/* 首页 */
.home-page {
  height: 14.51rem;
  background: url("https://qn.mktzr.com/dttxjh/images/home-bg.jpg?v=53") left
    top no-repeat;
  background-size: 100% 100%;
}

.clear {
  width: 1rem;
  height: 1rem;
  position: absolute;
  right: 1rem;
  top: 3rem;
  /* border: 2px solid red; */
}
.music {
  background: url("https://qn.mktzr.com/dtzn/images/music-open.png?v=53") left
    top no-repeat;
  background-size: 100% 100%;
  width: 0.66rem;
  height: 0.66rem;
  position: absolute;
  left: 5rem;
  top: 0.3rem;
  animation: roll 3s linear infinite;
  -webkit-animation: roll 3s linear infinite;
  transform-origin: 50%;
  z-index: 99;
}

.music.stoped {
  background: url("https://qn.mktzr.com/dtzn/images/music-close.png?v=53") left
    top no-repeat;

  background-size: 100% 100%;
  animation: none;
  -webkit-animation: none;
}

.hide {
  display: none;
}

@keyframes roll {
  0% {
    transform: rotate(0) scale(0.9);
  }

  100% {
    transform: rotate(360deg) scale(0.9);
  }
}

@-webkit-keyframes roll {
  0% {
    -webkit-transform: rotate(0) scale(0.9);
  }

  100% {
    -webkit-transform: rotate(360deg) scale(0.9);
  }
}

.home-page .btn-rule {
  background-size: 100% 100%;
  width: 1.81rem;
  height: 0.74rem;
  background: url("https://qn.mktzr.com/dttxjh/images/btn-rule.png?v=53") left
    top no-repeat;
  background-size: 100% 100%;
  position: absolute;
  top: 0.1rem;
  right: 0;
}
.home-page .btn-prize {
  background: url("https://qn.mktzr.com/dttxjh/images/btn-prize.png?v=53") left
    top no-repeat;
  background-size: 100% 100%;
  width: 1.81rem;
  height: 0.74rem;
  position: absolute;
  top: 0.75rem;
  right: 0;
}

.hori-center {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
}
.home-page .btn-start {
  width: 4.19rem;
  height: 1.16rem;
  position: absolute;
  top: 12.2rem;
  left: 50%;
  transform: translateX(-50%);
}

#stage,
#stage canvas {
  width: 7.5rem;
  height: 14.51rem;
}

.game-page .btn-jump {
  width: 3.35rem;
  height: 1.19rem;
  position: fixed;
  left: calc((100vw - 3.35rem) / 2);
  bottom: 0.5rem;
  background: url("https://qn.mktzr.com/dttxjh/images/game-btn-jump.png?v=53")
    left top no-repeat;
  background-size: contain;
}

/* 登陆弹窗 */

.login-dialog .frame {
  background: url("https://qn.mktzr.com/dttxjh/images/login-dialog.png?v=53")
    left top no-repeat;
  background-size: 100%;
  width: 7.46rem;
  position: absolute;
  height: 9.33rem;
  z-index: 10;
  left: 50%;

  transform: translateX(-50%);
}
.login-dialog .frame .login_btn {
  width: 3.8rem;
  height: 1rem;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: 6.6rem;
}
.login-dialog .frame .btn-close {
  width: 0.7rem;
  height: 0.7rem;
  position: absolute;
  top: 0.2rem;
  left: 5.1rem;
}
.mobile,
.verifyCode {
  background: transparent;
  color: #000000;
  position: absolute;
  width: 4.5rem;
  left: 1.5rem;
  top: 4.13rem;
  height: 0.74rem;
  line-height: 0.74rem;
  text-align: center;
  box-sizing: border-box;
}
.verifyCode {
  top: 5.28rem;
  width: 2.6rem;
}
.sendSmsBtn {
  position: absolute;
  top: 5.3rem;
  right: 1.51rem;
  height: 0.74rem;
  line-height: 0.74rem;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  width: 1.5rem;
  font-size: 0.26rem;
}
input {
  font-size: 0.28rem;
  color: #333;

  padding: 0 0.2rem;
  background: none;
  border: none;
  outline: none;
}
.name::placeholder,
.emali::placeholder {
  height: 100%;
}
.login_btn {
  width: 3.9rem;
  height: 1.3rem;
  top: 5.1rem;
}
.captcha_mask {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: 102;
  background-color: transparent;
  display: none;
}
.captcha_mask .captcha_main {
  position: absolute;
  top: 4rem;
  z-index: 101;
  left: 4.1rem;
  width: 2.4rem;
  height: 1.5rem;
  padding: 0.1rem 0.1rem;
  background: #ccc;
  border-radius: 0.2rem;
  font-size: 0;
}
.captcha_mask .captcha_main::after {
  content: "";
  display: block;
  width: 0;
  height: 0;
  border: 0.1rem solid transparent;
  border-top-color: #ccc;
  position: absolute;
  /* top: 0; */
  left: 50%;
  transform: translateX(-50%);
  bottom: -0.2rem;
  z-index: 3;
}
.captcha_mask .captcha_main .captcha_img {
  width: 100%;
  margin: 0;
}
.captcha_mask .captcha_main .captcha_value {
  width: 65%;
  margin-top: 0.15rem;
  padding: 0;
  background-color: #fff;
  text-align: center;
  color: #999999;
  vertical-align: baseline;
  height: 0.4rem;
}
.captcha_mask .captcha_main .sendSms {
  margin-left: 0.05rem;

  text-align: center;
  padding: 0.05rem;
  color: white;
  background-color: #0072ff;
  width: 0.64rem;
  height: 0.33rem;
  border-radius: 15%;
  display: inline-block;
  line-height: 0.33rem;
  font-size: 0.2rem;
}
.captcha_mask .captcha_main .captcha_value::placeholder {
  font-size: 0.2rem;
}

/* 中奖弹窗 */
.hb-dialog .frame {
  background: url("https://qn.mktzr.com/dttxjh/images/red-dialog.png?v=53") left
    top no-repeat;
  background-size: 100%;
  width: 7.48rem;
  height: 9.33rem;
  position: absolute;

  left: 50%;
  transform: translateX(-50%);
}

.hb-dialog .frame .info {
  position: absolute;
  width: 2.5rem;
  left: 50%;
  top: 4.9rem;
  text-align: center;
  font-size: 0.7rem;
  color: #e6282c;
  transform: translateX(-50%);
}

.hb-dialog .frame .btn-close {
  width: 3.7rem;
  height: 1rem;
  position: absolute;
  top: 6.6rem;
  left: 50%;
  transform: translateX(-50%);
}

/* 没抽中红包 */
.fail-dialog .frame {
  background: url("https://qn.mktzr.com/dttxjh/images/notwin-dialog.png?v=53")
    left top no-repeat;
  background-size: 100%;
  width: 7.48rem;
  height: 9.33rem;
  position: absolute;

  left: 50%;
  transform: translateX(-50%);
}

.fail-dialog .frame .btn-close {
  width: 3.7rem;
  height: 0.9rem;
  position: absolute;
  top: 5.7rem;
  left: 50%;
  transform: translateX(-50%);
}

.tips-dialog .frame {
  background: url("https://qn.mktzr.com/dttxjh/images/dialog-tips.png?v=53")
    left top no-repeat;
  background-size: 100%;
  width: 7.47rem;
  height: 10.1rem;
  position: absolute;

  left: 50%;
  transform: translateX(-50%);
}

.tips-dialog .frame .btn-close {
  width: 3.7rem;
  height: 0.9rem;
  position: absolute;
  top: 8.35rem;
  left: 50%;
  transform: translateX(-50%);
}

/* 活动规则 */

.rule-page {
  background: url("https://qn.mktzr.com/dttxjh/images/rule-page.jpg") left top
    no-repeat;
  background-size: 100% 100%;
  height: 14.51rem;
}

.rule-page .btn-back {
  position: absolute;
  top: 0.3rem;
  right: 0.3rem;
  width: 1.3rem;
  height: 0.5rem;
}

[v-cloak] {
  display: none;
}

.CodeImg {
  width: 1.5rem;
  height: 0.8rem;
  position: absolute;
  top: 6.45rem;
  right: 1rem;
}

.imgCode {
  width: 2.8rem;
  height: 0.8rem;
}

.imgCode-box {
  width: 2.8rem;
  height: 0.8rem;
  background-color: #fff;
  border-radius: 5px;
  position: absolute;
  top: 6.45rem;
  left: 0.8rem;
}
.result-page {
  width: 7.5rem;
  height: 14.51rem;
  background: url("https://qn.mktzr.com/dttxjh/images/result-bg.jpg?v=53") left
    top no-repeat;
  background-size: 100% 100%;
  position: relative;
  overflow-y: auto;
}

.result-text {
  width: 6.72rem;
  height: 2.49rem;
  position: absolute;
  top: 2.2rem;
  left: 46%;
  transform: translateX(-50%);
}

.result-page .btn-risk {
  width: 1.56rem;
  height: 0.76rem;
  background: url("https://qn.mktzr.com/dttxjh/images/btn-tips.png") left top
    no-repeat;
  background-size: 100% 100%;
  position: absolute;
  right: 0.2rem;
  top: 0.2rem;
  z-index: 100;
}
.result-page .score {
  position: absolute;
  left: 2.2rem;
  top: 2.85rem;

  font-size: 0.4rem;
  font-weight: bold;
  color: #1964bf;
}

.header {
  width: 6.75rem;
  height: 4.53rem;
  position: absolute;
  top: 3.9rem;
  left: 0.4rem;
}

.text-bg {
  width: 5.6rem;
  height: 2.5rem;
  letter-spacing: 0.04rem;
  font-size: 0.28rem;
  overflow-y: auto;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: 8.3rem;
  color: #2c78aa;
  line-height: 1.2;
}

.lottery {
  width: 3.35rem;
  height: 1.19rem;
  background: url("https://qn.mktzr.com/dttxjh/images/btn-lottery.png") left top
    no-repeat;
  background-size: 100% 100%;
  position: fixed;
  left: 50%;
  transform: translateX(-50%);
  bottom: 0.3rem;
}

.viewprize {
  width: 3rem;
  height: 1.19rem;
  background: url("https://qn.mktzr.com/dttxjh/images/changetext.png") left top
    no-repeat;
  background-size: 100% 100%;
  position: fixed;
  right: 0.6rem;

  bottom: 0.3rem;
}

.result-page .btn-back {
  width: 3rem;
  height: 1.19rem;
  background: url("https://qn.mktzr.com/dttxjh/images/backHome.png") left top
    no-repeat;
  background-size: 100% 100%;
  position: fixed;
  left: 0.6rem;
  bottom: 0.3rem;
}

.result-page .btn-try {
  width: 3rem;
  height: 1.19rem;
  background: url("https://qn.mktzr.com/dttxjh/images/tryAgain.png") left top
    no-repeat;
  background-size: 100% 100%;
  position: fixed;
  left: 0.6rem;

  bottom: 0.3rem;
}
